#!/bin/bash
#
# source: http://download.berlios.de/ktsuss/ktsuss-1.4.tar.gz
#
# maintainer: gmg (monpontet.gerard@neuf.fr)
#

#------------------Set Some Variables

soft="ktsuss"
softversion="1.4"
arch="i486"
cpu="i686"
packageversion="54.1"

buildir=$(pwd)
srcpkg="$buildir/$soft-$softversion.tar.gz"
src="$buildir/$soft-$softversion"
package="$soft-$softversion-$arch-$packageversion"
dest="$buildir/$package"

# -----------------Extract sources and get ready to build

cd $buildir
rm -rf $src
tar -xvzf $srcpkg
rm -f $dest.tgz
rm -rf $dest
mkdir -p $dest/install

#-----------------Make the slack-desc files

cat << EODESC > $dest/install/slack-desc
# HOW TO EDIT THIS FILE:
# The "handy ruler" below makes it easier to edit a package description.  Line
# up the first '|' above the ':' following the base package name, and the '|' on
# the right side marks the last column you can put a character in.  You must make
# exactly 11 lines for the formatting to be correct.  It's also customary to
# leave one space after the ':'.

      |-----handy-ruler------------------------------------------------------|
ktsuss: ktsuss (is a graphical version of su written in C and GTK+ 2)
ktsuss:
ktsuss: ktsuss stands for "keep the su simple, stupid", and as the name says,
ktsuss: is a graphical version of su written in C and GTK+ 2. The idea of 
ktsuss: the project is to remain simple and bug free...
ktsuss:
ktsuss: Websites:
ktsuss: * http://nomius.blogspot.com
ktsuss: * http://developer.berlios.de/projects/ktsuss
ktsuss:
ktsuss:
EODESC

#------------------Set correct permissions

cd $src

chown -R root:root .

#------------------Start Configure

export CFLAGS="-O2 -march=$arch -mtune=$cpu"
export CXXFLAGS="-O2 -march=$arch -mtune=$cpu"

./configure --prefix=/usr

make -j2
make install DESTDIR=$dest

( cd $dest
  find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
  find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
)

chmod u+s $dest/usr/bin/ktsuss

mv $dest/usr/bin/ktsuss $dest/usr/libexec
cp $buildir/ktsuss $dest/usr/bin
chmod 755 $dest/usr/bin/ktsuss
cp $buildir/gksu $dest/usr/bin
chmod 755 $dest/usr/bin/gksu

mkdir -p $dest/usr/doc/$soft-$softversion
cp -a Changelog COPYING CREDITS INSTALL README $dest/usr/doc/$soft-$softversion

mkdir -p $dest/usr/src/$soft-$softversion
cp -a $buildir/build-$soft.sh $dest/usr/src/$soft-$softversion
cp $buildir/gksu $dest/usr/src/$soft-$softversion
cp $buildir/ktsuss $dest/usr/src/$soft-$softversion

#-------------------Make the packages and the md5sum

cd $dest
makepkg -l y -c n $dest.tgz
cd $buildir
md5sum $package.tgz > $package.md5